import request from '../utils/request'

//获取志愿者账户详细信息

export function getVolunteerAccountInfo() {
    return request({
        url: `/core/volunteer/account/getVolunteerAccountInfo`,
        method: 'get',
    })
}

//志愿者订单统计
export function volunteerOrderStatistics() {
    return request({
        url: `/core/volunteer/orders/volunteerOrderStatistics`,
        method: 'get',
    })
}


//查询自己的账户余额
export function getAccountInfo() {
    return request({
        url: `/core/client/account/info`,
        method: 'get',
    })
}


//查询用户自己的账户变更记录
export function getAccountChangeList(params) {
    return request({
        url: `/core/client/account-change`,
        method: 'get',
        params
    })
}

//查询用户的总收入和总支出
export function getTotalMoney(params) {
    return request({
        url: `/core/client/account-change/totalMoney`,
        method: 'get',
        params
    })
}

//查询用户的总收入和总支出 志愿者
export function getVolunteerTotalMoney(params) {
    return request({
        url: `/core/volunteer/account-change/totalMoney`,
        method: 'get',
        params
    })
}
//查询用户自己的账户变更记录 志愿者
export function getVolunteerChangeList(params) {
    return request({
        url: `/core/volunteer/account-change/changeList`,
        method: 'get',
        params
    })
}

//提交提现申请
export function submitAmountApply(data) {
    return request({
        url: `/core/volunteer/account/submitAmountApply`,
        method: 'post',
        data
    })
}

//获取当前用户提现状态
export function getWithdrawStatus() {
    return request({
        url: `/core/volunteer/account/getWithdrawStatus`,
        method: 'get',
    })
}

